package com.gingersoft.gsa.other_order_mode.model.factory

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.gingersoft.gsa.other_order_mode.data.HistoryOrderRepository
import com.gingersoft.gsa.other_order_mode.model.viewModel.HistoryOrderViewModel

class HistoryOrderModelFactory(private val repository: HistoryOrderRepository) : ViewModelProvider.NewInstanceFactory() {

    @Suppress("UNCHECKED_CAST")
    override fun <T : ViewModel?> create(modelClass: Class<T>): T {
        return HistoryOrderViewModel(repository) as T
    }

}